%define section free

Summary:        Daisy content management application framework
Name:           daisy
Version:        1.3
Release:        1jpp
Epoch:          0
License:        Apache Software License 2.0
URL:            http://cocoondev.org/daisy/
Group:          Text Processing/Markup/XML
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        http://svn.cocoondev.org/dist/daisy/daisy-1.3-src.tar.gz
Source1:        pom-maven2jpp-depcat.xsl
Source2:        pom-maven2jpp-newdepmap.xsl
Source3:        pom-maven2jpp-mapdeps.xsl
Source4:        daisy-1.3-jpp-depmap.xml
Source5:        stratum-1.0.jar
Patch0:         daisy-1.3-xmlschema-bindings-maven_xml.patch
Patch1:         daisy-1.3-navigation-xmlschema-bindings-maven_xml.patch
Patch2:         daisy-1.3-emailnotifier-xmlschema-bindings-maven_xml.patch
Patch3:         daisy-1.3-repository-server-maven_xml.patch
Patch4:         daisy-1.3-doctaskrunner-xmlschema-bindings-maven_xml.patch
Patch5:         daisy-1.3-publisher-xmlschema-bindings-maven_xml.patch
Patch6:         daisy-1.3-maven_xml.patch

BuildRequires:  ant >= 0:1.6, ant-nodeps, jpackage-utils >= 0:1.6, maven
BuildRequires:  saxon, saxon-scripts, junit, java-devel >= 1.4
BuildRequires:	cocoon-core
BuildRequires:	jakarta-commons-cli
BuildRequires:	jakarta-commons-collections
BuildRequires:	jakarta-commons-configuration
BuildRequires:	jakarta-commons-dbcp
BuildRequires:	jakarta-commons-fileupload
BuildRequires:	jakarta-commons-httpclient
BuildRequires:	jakarta-commons-lang
BuildRequires:	jakarta-commons-logging
BuildRequires:	jakarta-commons-pool
BuildRequires:	jakarta-commons-primitives
BuildRequires:	concurrent
BuildRequires:	db-torque-gen
BuildRequires:	eclipse-ecj
BuildRequires:	excalibur-avalon-framework-api
BuildRequires:	excalibur-avalon-framework-impl
BuildRequires:	excalibur-avalon-logkit
BuildRequires:	exolabcore
BuildRequires:	javacc
BuildRequires:	javamail-monolithic
BuildRequires:	jaxen
BuildRequires:	jcifs
BuildRequires:	jetty4
BuildRequires:	jms
BuildRequires:	rhino
BuildRequires:	log4j
BuildRequires:	lucene
BuildRequires:	mx4j
BuildRequires:	nekodtd
BuildRequires:	nekohtml
BuildRequires:	openjms
BuildRequires:	pdfbox
BuildRequires:	jakarta-poi
BuildRequires:	servletapi4
BuildRequires:	velocity
BuildRequires:	village
BuildRequires:	xerces-j2
BuildRequires:	xmlbeans
BuildRequires:	xml-commons-apis
BuildRequires:	xpp3


Requires:	cocoon-core
Requires:	jakarta-commons-cli
Requires:	jakarta-commons-collections
Requires:	jakarta-commons-configuration
Requires:	jakarta-commons-dbcp
Requires:	jakarta-commons-fileupload
Requires:	jakarta-commons-httpclient
Requires:	jakarta-commons-lang
Requires:	jakarta-commons-logging
Requires:	jakarta-commons-pool
Requires:	jakarta-commons-primitives
Requires:	concurrent
Requires:	db-torque-gen
Requires:	eclipse-ecj
Requires:	excalibur-avalon-framework-api
Requires:	excalibur-avalon-framework-impl
Requires:	excalibur-avalon-logkit
Requires:	exolabcore
Requires:	javacc
Requires:	javamail-monolithic
Requires:	jaxen
Requires:	jcifs
Requires:	jetty4
Requires:	jms
Requires:	rhino
Requires:	log4j
Requires:	lucene
Requires:	mx4j
Requires:	nekodtd
Requires:	nekohtml
Requires:	openjms
Requires:	pdfbox
Requires:	jakarta-poi
Requires:	servletapi4
Requires:	velocity
Requires:	village
Requires:	xerces-j2
Requires:	xmlbeans
Requires:  	xml-commons-apis
Requires:	xpp3
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Daisy is a comprehensive content management application 
framework, consisting of a standalone repository server 
accessible through HTTP/XML (using the ReST style of 
WebServices) and/or a high-level (remote) Java API, and 
an extensive browsing and editing DaisyWiki application 
running inside Apache Cocoon. 

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%prep
%setup -q -n %{name}-%{version}-src
# remove all binary libs
#find . -name "*.jar" -exec rm -f {} \;
for j in $(find . -name "*.jar"); do
    mv $j $j.no
done
rm -rf repository/test/


%patch0 -b .sav
%patch1 -b .sav
%patch2 -b .sav
%patch3 -b .sav
%patch4 -b .sav
%patch5 -b .sav
%patch6 -b .sav

%build
for m in $(find . -name maven.xml -exec grep -l avalon:meta {} \;); do
	cp $m $m.orig
	sed -e '/avalon:meta/d' $m.orig > $m
done
if [ x = y ]; then
export DEPCAT=$(pwd)/daisy-1.3-depcat.new.xml
echo '<?xml version="1.0" standalone="yes"?>' > $DEPCAT
echo '<depset>' >> $DEPCAT
for p in $(find . -name project.xml); do
    pushd $(dirname $p)
    /usr/bin/saxon project.xml %{SOURCE1} >> $DEPCAT
    popd
done
echo >> $DEPCAT
echo '</depset>' >> $DEPCAT
/usr/bin/saxon $DEPCAT %{SOURCE2} > daisy-1.3-depmap.new.xml
fi

for p in $(find . -name project.xml); do
    pushd $(dirname $p)
    cp project.xml project.xml.orig
    /usr/bin/saxon -o project.xml project.xml.orig %{SOURCE3} map=%{SOURCE4}
    popd
done

for p in $(find . -name project.properties); do
    echo >> $p
    echo maven.repo.remote=file:/usr/share/maven-1.0/repository >> $p
    echo maven.home.local=$(pwd)/../.maven >> $p
done

mkdir -p .maven/repository/maven/jars
build-jar-repository .maven/repository/maven/jars maven-jelly-tags

rm -rf .maven/repository/JPP/plugins
mkdir -p .maven/repository/JPP/plugins
build-jar-repository -s -p .maven/repository/JPP/plugins \
maven-torque-plugin \


mkdir -p .maven/repository/JPP/jars
cp %{SOURCE5} .maven/repository/JPP/jars/stratum.jar
build-jar-repository -s -p .maven/repository/JPP/jars \
excalibur/avalon-framework-api \
excalibur/avalon-framework-impl \
excalibur/avalon-logkit \
xmlbeans/xbean \
commons-collections \
junit \
concurrent \
jms \
commons-httpclient \
commons-logging \
nekodtd \
nekohtml \
js \
xerces-j2 \
xml-commons-apis \
jaxen \
commons-cli \
commons-configuration \
commons-dbcp \
commons-lang \
log4j \
db-torque-gen \
velocity \
village \
jetty4 \
commons-primitives \
commons-fileupload \
servletapi4 \
javacc \
lucene \
mx4j/mx4j \
mx4j/mx4j-tools \
xpp3 \
jndi \
commons-pool \
cocoon/cocoon \
openjms-client \
exolabcore \
eclipse/org.eclipse.compare/compare \
eclipse/org.eclipse.core.runtime/runtime \
eclipse/org.eclipse.jface/jface \
ant \
ant/ant-nodeps \
javamail \
jcifs \
pdfbox \
poi \
poi-scratchpad \






export MAVEN_HOME_LOCAL=$(pwd)/.maven

maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	project-jars javadoc


%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}

install -m 644 repository/spi/target/daisy-repository-spi-1.3.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/repository-spi-%{version}.jar
install -m 644 repository/client/target/daisy-repository-client-impl-1.3.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/repository-client-%{version}.jar
install -m 644 repository/xmlschema-bindings/target/daisy-repository-xmlschema-bindings-1.3.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/repository-xmlschema-bindings-%{version}.jar
install -m 644 repository/server-spi/target/daisy-repository-server-spi-1.3.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/repository-server-spi-%{version}.jar
install -m 644 repository/api/target/daisy-repository-api-1.3.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/repository-api-%{version}.jar
install -m 644 repository/common/target/daisy-repository-common-impl-1.3.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/repository-common-impl-%{version}.jar
install -m 644 repository/server/target/daisy-repository-server-impl-1.3.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/repository-server-impl-%{version}.jar
install -m 644 services/diff/target/daisy-diff-1.3.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/diff-%{version}.jar
install -m 644 services/jmx/target/daisy-jmx-1.3.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/jmx-%{version}.jar
install -m 644 services/htmlcleaner/target/daisy-htmlcleaner-1.3.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/htmlcleaner-%{version}.jar
install -m 644 services/navigation/client-impl/target/daisy-navigation-client-impl-1.3.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/navigation-client-impl-%{version}.jar
install -m 644 services/navigation/server-impl/target/daisy-navigation-server-impl-1.3.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/navigation-server-impl-%{version}.jar
install -m 644 services/navigation/xmlschema-bindings/target/daisy-navigation-xmlschema-bindings-1.3.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/navigation-xmlschema-bindings-%{version}.jar
install -m 644 services/navigation/api/target/daisy-navigation-api-1.3.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/navigation-api-%{version}.jar
install -m 644 services/jms/impl/target/daisy-jmsclient-impl-1.3.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/jmsclient-impl-%{version}.jar
install -m 644 services/jms/api/target/daisy-jmsclient-api-1.3.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/jmsclient-api-%{version}.jar
install -m 644 services/datasource/target/daisy-datasource-1.3.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/datasource-%{version}.jar
install -m 644 services/util/target/daisy-util-1.3.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/util-%{version}.jar
install -m 644 services/doctaskrunner/common-impl/target/daisy-doctaskrunner-common-impl-1.3.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/doctaskrunner-common-impl-%{version}.jar
install -m 644 services/doctaskrunner/client-impl/target/daisy-doctaskrunner-client-impl-1.3.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/doctaskrunner-client-impl-%{version}.jar
install -m 644 services/doctaskrunner/server-impl/target/daisy-doctaskrunner-server-impl-1.3.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/doctaskrunner-server-impl-%{version}.jar
install -m 644 services/doctaskrunner/xmlschema-bindings/target/daisy-doctaskrunner-xmlschema-bindings-1.3.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/doctaskrunner-xmlschema-bindings-%{version}.jar
install -m 644 services/doctaskrunner/api/target/daisy-doctaskrunner-api-1.3.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/doctaskrunner-api-%{version}.jar
install -m 644 services/publisher/client-impl/target/daisy-publisher-client-impl-1.3.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/publisher-client-impl-%{version}.jar
install -m 644 services/publisher/server-impl/target/daisy-publisher-server-impl-1.3.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/publisher-server-impl-%{version}.jar
install -m 644 services/publisher/xmlschema-bindings/target/daisy-publisher-xmlschema-bindings-1.3.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/publisher-xmlschema-bindings-%{version}.jar
install -m 644 services/publisher/api/target/daisy-publisher-api-1.3.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/publisher-api-%{version}.jar
install -m 644 services/emailer/client-impl/target/daisy-emailer-client-impl-1.3.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/emailer-client-impl-%{version}.jar
install -m 644 services/emailer/server-impl/target/daisy-emailer-server-impl-1.3.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/emailer-server-impl-%{version}.jar
install -m 644 services/emailer/api/target/daisy-emailer-api-1.3.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/emailer-api-%{version}.jar
install -m 644 services/ntlm-auth/target/daisy-auth-ntlm-1.3.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/auth-ntlm-%{version}.jar
install -m 644 services/emailnotifier/common-impl/target/daisy-emailnotifier-common-impl-1.3.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/emailnotifier-common-impl-%{version}.jar
install -m 644 services/emailnotifier/client-impl/target/daisy-emailnotifier-client-impl-1.3.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/emailnotifier-client-impl-%{version}.jar
install -m 644 services/emailnotifier/server-impl/target/daisy-emailnotifier-server-impl-1.3.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/emailnotifier-server-impl-%{version}.jar
install -m 644 services/emailnotifier/xmlschema-bindings/target/daisy-emailnotifier-xmlschema-bindings-1.3.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/emailnotifier-xmlschema-bindings-%{version}.jar
install -m 644 services/emailnotifier/api/target/daisy-emailnotifier-api-1.3.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/emailnotifier-api-%{version}.jar
install -m 644 services/textextraction/impl/target/daisy-textextraction-impl-1.3.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/textextraction-impl-%{version}.jar
install -m 644 services/textextraction/api/target/daisy-textextraction-api-1.3.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/textextraction-api-%{version}.jar
#install -m 644 install/target/daisy-install-1.3.jar \
#  $RPM_BUILD_ROOT%{_javadir}/%{name}/install-%{version}.jar

(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# manual
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp LICENSE.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

#javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/install
cp -pr install/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/install
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/repository
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/repository/api
cp -pr repository/api/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/repository/api
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/repository/client
cp -pr repository/client/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/repository/client
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/repository/common
cp -pr repository/common/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/repository/common
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/repository/server-spi
cp -pr repository/server-spi/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/repository/server-spi
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/repository/server
cp -pr repository/server/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/repository/server
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/repository/spi
cp -pr repository/spi/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/repository/spi
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/datasource
cp -pr services/datasource/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/datasource
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/diff
cp -pr services/diff/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/diff
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/doctaskrunner/api
cp -pr services/doctaskrunner/api/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/doctaskrunner/api
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/doctaskrunner/client-impl
cp -pr services/doctaskrunner/client-impl/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/doctaskrunner/client-impl
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/doctaskrunner/common-impl
cp -pr services/doctaskrunner/common-impl/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/doctaskrunner/common-impl
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/doctaskrunner/server-impl
cp -pr services/doctaskrunner/server-impl/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/doctaskrunner/server-impl
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/emailer/api
cp -pr services/emailer/api/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/emailer/api
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/emailer/client-impl
cp -pr services/emailer/client-impl/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/emailer/client-impl
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/emailer/server-impl
cp -pr services/emailer/server-impl/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/emailer/server-impl
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/emailnotifier/api
cp -pr services/emailnotifier/api/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/emailnotifier/api
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/emailnotifier/client-impl
cp -pr services/emailnotifier/client-impl/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/emailnotifier/client-impl
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/emailnotifier/common-impl
cp -pr services/emailnotifier/common-impl/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/emailnotifier/common-impl
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/emailnotifier/server-impl
cp -pr services/emailnotifier/server-impl/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/emailnotifier/server-impl
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/htmlcleaner
cp -pr services/htmlcleaner/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/htmlcleaner
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/jms/api
cp -pr services/jms/api/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/jms/api
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/jms/impl
cp -pr services/jms/impl/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/jms/impl
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/jmx
cp -pr services/jmx/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/jmx
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/navigation/api
cp -pr services/navigation/api/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/navigation/api
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/navigation/client-impl
cp -pr services/navigation/client-impl/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/navigation/client-impl
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/navigation/server-impl
cp -pr services/navigation/server-impl/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/navigation/server-impl
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/ntlm-auth
cp -pr services/ntlm-auth/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/ntlm-auth
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/publisher/api
cp -pr services/publisher/api/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/publisher/api
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/publisher/client-impl
cp -pr services/publisher/client-impl/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/publisher/client-impl
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/publisher/server-impl
cp -pr services/publisher/server-impl/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/publisher/server-impl
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/textextraction/api
cp -pr services/textextraction/api/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/textextraction/api
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/textextraction/impl
cp -pr services/textextraction/impl/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/textextraction/impl
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/util
cp -pr services/util/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/services/util

ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink



%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt
%{_javadir}/%{name}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}

%changelog
* Tue Oct 18 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.3-1jpp
- First JPP release (still incomplete)
- stratum.jar pending
